Sety
  1. Threat Intelligence
Sety
  • Developer API Reference
  • Health
    • Health check
      GET
  • Incidents
    • Create incident
      POST
    • List incidents
      GET
    • Get incident
      GET
    • Cancel incident
      POST
    • Add note
      POST
  • Access Logs
    • List access logs
      GET
    • Access log stats
      GET
    • Create access log
      POST
    • Get current visitors
      GET
    • Checkout visitor
      PATCH
  • Threat Intelligence
    • List danger zones
      GET
    • Danger analytics for a location
      GET
    • Heatmap data
      GET
    • Safety score
      GET
    • Route safety analysis
      GET
  • Schemas
    • Error
    • PaginatedResponse
    • GeoPoint
    • Subject
    • Location
    • IncidentLocation
    • SLA
    • IncidentTimelineEvent
    • ResponderAssignment
    • TimelineEvent
    • Incident
    • CreateIncidentRequest
    • IncidentAnalytics
    • AccessCode
    • CreateAccessCodeRequest
    • ValidationResult
    • AccessLog
    • CurrentVisitor
    • DangerAnalytics
    • HeatmapResponse
    • SafetyScore
    • TimeAnalysis
    • LocationComparison
    • RouteSafety
    • RiskPrediction
    • IncidentPatterns
    • SafeZones
    • ApiKey
    • CreateApiKeyRequest
    • WebhookEndpoint
    • WebhookDelivery
  1. Threat Intelligence

List danger zones

GET
/danger-zones
Query the threat database with optional geographic and type filters.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Danger zones
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/danger-zones?incident_type&severity_min&latitude&longitude&radius_km&from_date&to_date&page&limit' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "page": 0,
    "limit": 0,
    "totalPages": 0,
    "totalResults": 0
}
Modified at 2026-03-10 02:58:15
Previous
Checkout visitor
Next
Danger analytics for a location
Built with